%define url_ver	%(echo %{version} | cut -d. -f1,2)

Summary:	Tag editor for MP3, OGG files
Name:		easytag
Version:	2.4.3
%define subrel	1
Release:	%mkrel 1
# Program is GPL only the included libapetag is LGPL
License:	GPLv2+ and LGPLv2+
Group:		Sound/Utilities
URL:		https://wiki.gnome.org/Apps/EasyTAG
Source0:	https://download.gnome.org/sources/easytag/%{url_ver}/%{name}-%{version}.tar.xz
Patch02:	02_fix-ogg-corruption.patch

# Needed for AppData.
BuildRequires:	libtool
BuildRequires:	yelp-tools
BuildRequires:	appdata-tools >= 0.1.7
# provide appdata-xml.m4
BuildRequires:	pkgconfig(appstream-glib)

BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	gtk2-devel >= 2.4
BuildRequires:	id3lib-devel
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(flac)
BuildRequires:	pkgconfig(wavpack)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(opusfile)
BuildRequires:	pkgconfig(libnautilus-extension)
BuildRequires:	docbook-dtds
BuildRequires:	docbook-style-xsl
BuildRequires:	xsltproc

%description
EasyTAG is an utility for viewing and editing tags of MP3, MP2, FLAC,
Ogg Vorbis, MP4/AAC, MusePack, Wavpack, Speex and Monkey's Audio
files. Its simple and nice GTK+ interface makes tagging easier under
GNU/Linux.
Features:
- View, edit, write tags of MP3, MP2 files (ID3 tag with pictures),
  FLAC files (FLAC Vorbis tag), Ogg Vorbis files (Ogg Vorbis tag),
  MP4/AAC (MP4/AAC tag), and MusePack, Wavpack, Monkey's Audio files
  (APE tag), Speex files,
- Auto tagging: parse filename and directory to complete automatically
  the fields (using masks),
- Ability to rename files and directories from the tag (using masks) or by
  loading a text file,
- Process selected files of the selected directory,
- Recursion for tagging, removing, renaming, saving...,
- Can set a field (artist, title,...) to all other files,
- Read file header informations (bitrate, time, ...) and display them,
- Ability to open a directory or a file with an external program,
- CDDB support (manual and automatic search),
- A tree based browser or a view by Artist & Album,
- A playlist generator window,

%package nautilus
Summary:	Nautilus extension for opening in EasyTAG
Group:		Sound/Utilities
License:	GPLv3+
Requires:	%{name} = %{version}-%{release}

%description nautilus
Nautilus extension to add "Open with EasyTAG" to the Nautilus context menu, for
easier access to EasyTAG when opening directories and audio files.

%prep
%setup -q
%autopatch -p1
NOCONFIGURE=1 ./autogen.sh

%build
%configure2_5x --disable-tests
%make_build

%install
%make_install
%find_lang %{name} --with-gnome --with-help

desktop-file-install \
	--vendor="" \
	--remove-mime-type="inode/directory" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*

rm %buildroot%{_libdir}/nautilus/extensions-3.0/libnautilus-easytag.la

%check
make check

%files -f %{name}.lang
%doc ChangeLog README TODO THANKS HACKING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/icons/hicolor/*/apps/%{name}-symbolic.*
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/glib-2.0/schemas/*

%files nautilus
%{_libdir}/nautilus/extensions-3.0/libnautilus-easytag.so
%{_datadir}/metainfo/%{name}-nautilus.metainfo.xml


%changelog
* Wed Apr 18 2018 daviddavid <daviddavid> 2.4.3-1.1.mga6
  (not released yet)
+ Revision: 1219963
- add patch to revert upstream commit which causes OGG corruption (mga#22382)

* Mon Dec 05 2016 ovitters <ovitters> 2.4.3-1.mga6
+ Revision: 1072643
- new version 2.4.3

* Mon Feb 22 2016 daviddavid <daviddavid> 2.4.2-1.mga6
+ Revision: 976064
- new version: 2.4.2

* Tue Jan 26 2016 ovitters <ovitters> 2.4.1-1.mga6
+ Revision: 927666
- new version 2.4.1

* Tue Oct 27 2015 ycantin <ycantin> 2.4.0-2.mga6
+ Revision: 895802
- fix build : add a BR to get appdata-xml.m4

* Sat Aug 29 2015 ovitters <ovitters> 2.4.0-1.mga6
+ Revision: 870893
- new version 2.4.0

* Sat Jun 20 2015 ovitters <ovitters> 2.3.7-1.mga6
+ Revision: 836326
- new version 2.3.7
+ vaci0 <vaci0>
- Update to new version 2.3.6
+ gw666 <gw666>
- enable Opus support

* Fri Jan 02 2015 vaci0 <vaci0> 2.3.3-1.mga5
+ Revision: 808177
- Update to new version 2.3.3
- Disable tests during make check
+ gw666 <gw666>
- sync with fedora:
 * add nautilus extension
 * update license
 * add patches from upstream to update appdata
 * enable make check

* Wed Oct 15 2014 umeabot <umeabot> 2.2.4-2.mga5
+ Revision: 748915
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 wally <wally> 2.2.4-1.mga5
+ Revision: 732521
- new version 2.2.4

* Tue Sep 16 2014 umeabot <umeabot> 2.2.3-3.mga5
+ Revision: 678913
- Mageia 5 Mass Rebuild

* Mon Jun 23 2014 ovitters <ovitters> 2.2.3-2.mga5
+ Revision: 638813
- fix url

* Sun Jun 22 2014 ovitters <ovitters> 2.2.3-1.mga5
+ Revision: 638757
- new version 2.2.3

* Fri May 09 2014 ovitters <ovitters> 2.2.2-1.mga5
+ Revision: 621571
- new version 2.2.2

* Tue Apr 22 2014 ovitters <ovitters> 2.2.1-1.mga5
+ Revision: 617476
- new version 2.2.1

* Sat Apr 12 2014 ovitters <ovitters> 2.2.0-1.mga5
+ Revision: 613555
- new version 2.2.0

* Wed Feb 19 2014 ovitters <ovitters> 2.1.10-1.mga5
+ Revision: 594891
- new version 2.1.10

* Wed Feb 05 2014 dams <dams> 2.1.9-1.mga5
+ Revision: 582813
- update BR (docbook-dtds)
- new version 2.1.9
- remove useless patches and sources

* Sat Oct 19 2013 umeabot <umeabot> 2.1.8-3.mga4
+ Revision: 534773
- Mageia 4 Mass Rebuild

* Sat Sep 14 2013 gw666 <gw666> 2.1.8-2.mga4
+ Revision: 478788
- add patch to fix double scanning of a directory
- enable m4a support by using the right build dep on taglib

* Fri Apr 05 2013 wally <wally> 2.1.8-1.mga3
+ Revision: 408339
- new version 2.1.8 final
- add various fixes from upstream git
- remove directory mime-type from .desktop file
- clean .spec a bit

* Fri Jan 11 2013 umeabot <umeabot> 2.1.8-0.20120618.5.mga3
+ Revision: 349291
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ gw666 <gw666>
- bump libmp4v2 dep

* Sun Jan 06 2013 tv <tv> 2.1.8-0.20120618.4.mga3
+ Revision: 339871
- simplify description

* Sun Jan 06 2013 cjw <cjw> 2.1.8-0.20120618.3.mga3
+ Revision: 339867
- patch1: fix build with automake 1.13

* Thu Nov 29 2012 barjac <barjac> 2.1.8-0.20120618.2.mga3
+ Revision: 323120
- changed group in line with policy
- changed release to use mkrel -c

* Tue Jul 31 2012 vaci0 <vaci0> 2.1.8-0.20120618.1.mga3
+ Revision: 276480
- Updated version to 2.1.8 rev 20120618
- Clean spec file

* Sat Jun 16 2012 fwang <fwang> 2.1.7-2.mga3
+ Revision: 261001
- add upstream patch to build with latest mp4v2

* Sat Mar 03 2012 dams <dams> 2.1.7-1.mga2
+ Revision: 217599
- new version 2.1.7
- remove DE translation (now upstream)

* Sat Apr 02 2011 ahmad <ahmad> 2.1.6-11.mga1
+ Revision: 79813
- drop old unneeded scriptlets
- configure with --enable-shared and --disable-static
- imported package easytag

